Skip to content

Retrieve a wiki page

GET/api/v1/workspaces/{workspace_slug}/pages/{page_id}/

Get a workspace page by ID

Path Parameters

page_id:requiredstring

The unique identifier of the page.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Scopes

wiki.pages:read

Retrieve a wiki page
bash
curl -X GET \
  "https://api.plane.so/api/v1/workspaces/my-workspace/pages/page-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response200
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example Name",
  "description": "Example description",
  "created_at": "2024-01-01T00:00:00Z"
}